Ubuntu

whats new does not refresh on db changes

Reported by Michael Vogt on 2012-03-08
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Unassigned
Oneiric
Medium
Unassigned

Bug Description

The "Whats new" category does not refresh on db changes (e.g. when new content is added via the software-center-agent web api).

TEST CASE:
1. rm -rf ~/.cache/software-center (or move it aside)
2. open software-center in a terminal
3. wait a few seconds until you see " softwarecenter.ui.gtk3.app - INFO - software-center-agent finished with status 0" in the terminal
4. verify that the "Whats new" content in the main window does not change
5. install software-center from ooneiric-proposed
6. repeat 1-3 and verify that it updates this time

Michael Vogt (mvo) on 2012-03-08
Changed in software-center (Ubuntu):
status: New → Fix Committed
Changed in software-center (Ubuntu Oneiric):
status: New → In Progress
Changed in software-center (Ubuntu):
importance: Undecided → Medium
Changed in software-center (Ubuntu Oneiric):
importance: Undecided → Medium
Michael Vogt (mvo) wrote :

This one is fixed with:

revno: 2819 [merge]
committer: Gary Lasker <email address hidden>
branch nick: trunk
timestamp: Wed 2012-03-07 19:01:16 -0500
message:
  merged lp:~mvo/software-center/fix-refresh-of-whats-new, thanks mvo
    ------------------------------------------------------------
    revno: 2815.3.2
    committer: Michael Vogt <email address hidden>
    branch nick: trunk
    timestamp: Wed 2012-03-07 16:28:09 +0100
    message:
      test/gtk3/test_catview.py: GREEN: the whats_new stuff in the lobby refreshes on db reopen

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released

Hello Michael, or anyone else affected,

Accepted software-center into oneiric-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in software-center (Ubuntu Oneiric):
status: In Progress → Fix Committed
tags: added: verification-needed
Gary Lasker (gary-lasker) wrote :

I have verified that this bug is fixed in the version of software-center 5.0.6 in oneiric-proposed per the given test case.

Thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.0.6

---------------
software-center (5.0.6) oneiric-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/catalog-published-date-lp803028i-for-5.0:
    - use date_published value from the software-center-agent server
      so that for-purchase items appear correctly and in the proper order
      in What's New; include corresponding unit test (LP: #803028)

  [ Michael Vogt ]
  * backport fix from lp:~mvo/software-center/fix-refresh-of-whats-new
    to ensure that new apps from e.g. the software-center-agent are
    immediately displayed in the "Whats new" section of the lobby
    (LP: #949725)

software-center (5.0.5) oneiric-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/fix-lp913756-for-5.0:
    - do not offer to add an icon to the Unity launcher for packages
      that do not have an Exec entry in their corresponding desktop
      file, e.g. ubuntu-restricted-extras, wine (LP: #913756)
  * lp:~gary-lasker/software-center/staging-certs-2-for-5.0:
    - add SOFTWARE_CENTER_FORCE_DISABLE_CERTS_CHECK to allow QA easier
      testing (LP: #918746)

  [ Michael Vogt ]
  * lp:~mvo/software-center/fix-server-pagination:
    - reset server side review "page" when switching to a different
      app
  * lp:~mvo/software-center/expunge-cache-5.0:
    - fix invalid httplib cache entries (LP: #938736)

  [ Kiwinote ]
  * grab exhibits for the current series only (LP: #899257)
 -- Michael Vogt <email address hidden> Thu, 08 Mar 2012 09:07:20 +0100

Changed in software-center (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers